"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs-extra");
var unzipper = require("unzip-stream");
async function extract(path, location) {
    return new Promise((resolve, reject) => {
        fs.createReadStream(path)
            .pipe(unzipper.Extract({ path: `${location}` }))
            .on("close", () => {
            resolve();
        })
            .on("error", error => reject(error));
    });
}
exports.extract = extract;
//# sourceMappingURL=extract.js.map